#[derive(Debug)]
pub enum Instructions {
    Duplicate,
    Pop,

    Jump(usize),
    JumpIf(usize),

    Reserve(usize),
    Load(usize),
    Store(usize),

    PushUnit,
    PushInt(i64),
    PushFloat(i64),
    PushString(String),
    PushBool(bool),

    Not,
    Negate,
    Reference,
    Dereference,

    Add,
    Subtract,
    Multiply,
    Divide,
    Modulo,
    Exponentiate,
    LT,
    LTE,
    GT,
    GTE,
    Equal,
    Inequal,
    And,
    Or,
    In,
    NotIn,
}
